<div class="container">
  <h1>Login</h1>
  <form (ngSubmit)="onSubmit()" #loginForm="ngForm">
    <div class="form-group">
      <label for="username">Username</label>
      <input type="username" class="form-control" id="username" name="username" [(ngModel)]="username" required>
    </div>
    <br>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" class="form-control" id="password" name="password" [(ngModel)]="password" required>
    </div>
    <br>
    <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid">Login</button>
  </form>

  <div *ngIf="isLoading">
    <br>
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </div>  
</div>